<?php
include_spip('inc/meta');
include_spip('base/create');

function kaye_upgrade($nom_meta_base_version, $version_cible){
	$current_version = "0.0";

	if (isset($GLOBALS['meta'][$nom_meta_base_version])) {
		$current_version = $GLOBALS['meta'][$nom_meta_base_version];
	}

	if ($current_version=="0.0") {
		sql_drop_table('spip_documents_kaye'); //ok
		sql_drop_table('spip_kaye_documents'); //ok
		sql_alter("TABLE spip_kaye DROP COLUMN titre"); //ok
		sql_alter("TABLE spip_kaye CHANGE statut statut VARCHAR(15) DEFAULT 'prepa'"); //ok
		sql_alter("TABLE spip_kaye CHANGE COLUMN id_kaye id_devoir bigint(21) NOT NULL AUTO_INCREMENT"); //ok
		sql_alter("TABLE spip_kaye DROP COLUMN id_kaye"); //ok
		sql_alter("TABLE spip_kaye CHANGE id_classe id_classe int NOT NULL DEFAULT '0'");
		sql_alter("TABLE spip_kaye CHANGE id_auteur id_auteur bigint(21) NOT NULL DEFAULT '0'");
		sql_alter("TABLE spip_kaye CHANGE descriptif texte text DEFAULT '' NOT NULL");
		sql_alter("table spip_kaye_classes CHANGE id_classe id_classe bigint(21) NOT NULL AUTO_INCREMENT"); //ok
		sql_alter("table spip_kaye_classes CHANGE titre titre TINYTEXT NOT NULL"); //ok
		sql_alter("table spip_kaye_classes CHANGE descriptif descriptif TINYTEXT NOT NULL"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN id_auteur"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN id_parent"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN niveau"); //ok
		sql_alter("table spip_kaye_classes rename to spip_classes"); //ok
		sql_alter("table spip_kaye rename to spip_devoirs"); //ok
		maj_tables('spip_devoirs');
		maj_tables('spip_classes');
		creer_base();
		ecrire_meta($nom_meta_base_version, $current_version=$version_cible);
	}
	if (version_compare($current_version,"0.1","<")){
		sql_drop_table('spip_documents_kaye'); //ok
		sql_drop_table('spip_kaye_documents'); //ok
		sql_alter("TABLE spip_kaye DROP COLUMN titre"); //ok
		sql_alter("TABLE spip_kaye CHANGE statut statut VARCHAR(15) DEFAULT 'prepa'"); //ok
		sql_alter("TABLE spip_kaye CHANGE COLUMN id_kaye id_devoir bigint(21) NOT NULL AUTO_INCREMENT"); //ok
		sql_alter("TABLE spip_kaye DROP COLUMN id_kaye"); //ok
		sql_alter("TABLE spip_kaye CHANGE id_classe id_classe int NOT NULL DEFAULT '0'");
		sql_alter("TABLE spip_kaye CHANGE id_auteur id_auteur bigint(21) NOT NULL DEFAULT '0'");
		sql_alter("TABLE spip_kaye CHANGE descriptif texte text DEFAULT '' NOT NULL");
		sql_alter("table spip_kaye_classes CHANGE id_classe id_classe bigint(21) NOT NULL AUTO_INCREMENT"); //ok
		sql_alter("table spip_kaye_classes CHANGE titre titre TINYTEXT NOT NULL"); //ok
		sql_alter("table spip_kaye_classes CHANGE descriptif descriptif TINYTEXT NOT NULL"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN id_auteur"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN id_parent"); //ok
		sql_alter("table spip_kaye_classes DROP COLUMN niveau"); //ok
		sql_alter("table spip_kaye_classes rename to spip_classes"); //ok
		sql_alter("table spip_kaye rename to spip_devoirs"); //ok
		maj_tables('spip_devoirs');
		maj_tables('spip_classes');
		creer_base();
		ecrire_meta($nom_meta_base_version,$current_version="0.1");
	}
}

function kaye_vider_tables($nom_meta_base_version) {
	sql_drop_table("spip_devoirs");
	sql_drop_table("spip_classes");
	effacer_meta($nom_meta_base_version);
}

?>
